## liblxqt 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(liblxqt)


set(LXQTBT_MINIMUM_VERSION "0.12.0")
set(KF5_MINIMUM_VERSION "5.36.0")
set(QT_MINIMUM_VERSION "5.15.0")
set(QTXDG_MINIMUM_VERSION "3.10.0")

# Major LXQt Version, belong to all components
set(LXQT_MAJOR_VERSION 1)
# Minor LXQt Version, belong to all components
set(LXQT_MINOR_VERSION 2)
#
# Patch Version, belong *only* to the component
# LXQt is 0.13 - liblxqt is at patch version 0
# The official LXQt version will follow liblxqt.
#
# In a perfect world all components would have the same major- and minor- and
# patch-version as liblxqt - in real life it will be fine if every component
# has it's own patch version within a major/minor life cyle.
#
set(LXQT_PATCH_VERSION 0)
set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})


option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(BUILD_BACKLIGHT_LINUX_BACKEND "Build the Linux backend for the backlight" ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus LinguistTools)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
if (BUILD_BACKLIGHT_LINUX_BACKEND)
    find_package(PolkitQt5-1 REQUIRED)
endif (BUILD_BACKLIGHT_LINUX_BACKEND)
if (NOT APPLE)
    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED X11Extras)
    find_package(X11 REQUIRED)
endif()
message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation

if (BUILD_BACKLIGHT_LINUX_BACKEND)
    add_subdirectory(lxqtbacklight/linux_backend/driver)
    add_definitions(-DUSE_BACKLIGHT_LINUX_BACKEND)
endif (BUILD_BACKLIGHT_LINUX_BACKEND)

set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")

set(PUB_HDRS
    lxqthtmldelegate.h
    lxqtsettings.h
    lxqtplugininfo.h
    lxqtpowermanager.h
    lxqtapplication.h
    lxqtsingleapplication.h
    lxqttranslator.h
    lxqtprogramfinder.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtconfigdialogcmdlineoptions.h
    configdialog/lxqtpageselectwidget.h

    lxqtpower/lxqtpower.h
    lxqtnotification.h
    lxqtautostartentry.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtglobals.h
    lxqtbacklight.h
    #lxqtbacklight/virtual_backend.h
    #lxqtbacklight/linux_backend/linuxbackend.h
)

if (NOT APPLE)
    list (APPEND PUB_HDRS
        lxqtscreensaver.h
    )
endif (NOT APPLE)

set(PUBLIC_CLASSES
    HtmlDelegate
    Settings
    PluginInfo
    PowerManager
    Application
    SingleApplication
    Translator
    ProgramFinder

    ConfigDialog
    ConfigDialogCmdLineOptions
    PageSelectWidget

    Power
    Notification
    AutostartEntry
    GridLayout
    RotatedWidget
    Globals
    Backlight
)
if (NOT APPLE)
    list (APPEND PUBLIC_CLASSES
        ScreenSaver
    )
endif (NOT APPLE)

set(SRCS
    lxqthtmldelegate.cpp
    lxqtplugininfo.cpp
    lxqtpowermanager.cpp
    lxqtsettings.cpp
    lxqtapplication.cpp
    lxqtsingleapplication.cpp
    lxqttranslator.cpp
    lxqtprogramfinder.cpp

    configdialog/lxqtconfigdialog.cpp
    configdialog/lxqtconfigdialogcmdlineoptions.cpp
    configdialog/lxqtpageselectwidget.cpp

    lxqtpower/lxqtpower.cpp
    lxqtpower/lxqtpowerproviders.cpp
    lxqtautostartentry.cpp
    lxqtnotification.cpp
    lxqtgridlayout.cpp
    lxqtrotatedwidget.cpp
    lxqtbacklight.cpp
    lxqtbacklight/virtual_backend.cpp
)

if (NOT APPLE)
    list (APPEND SRCS
        lxqtscreensaver.cpp
    )
endif (NOT APPLE)

if (BUILD_BACKLIGHT_LINUX_BACKEND)
    list (APPEND SRCS
        lxqtbacklight/linux_backend/linuxbackend.cpp
    )
endif (BUILD_BACKLIGHT_LINUX_BACKEND)

set(MOCS
    lxqthtmldelegate.h
    lxqtpowermanager.h
    lxqtsettings.h
    lxqtapplication.h
    lxqtbacklight.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtconfigdialog_p.h
    configdialog/lxqtpageselectwidget.h

    lxqtnotification.h
    lxqtnotification_p.h
    lxqtpower/lxqtpower.h
    lxqtpower/lxqtpowerproviders.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtbacklight/virtual_backend.h
)

if (NOT APPLE)
    list (APPEND MOCS
        lxqtscreensaver.h
    )
endif (NOT APPLE)

if (BUILD_BACKLIGHT_LINUX_BACKEND)
    list (APPEND SRCS
        lxqtbacklight/linux_backend/linuxbackend.h
    )
endif (BUILD_BACKLIGHT_LINUX_BACKEND)

set(FORMS
    configdialog/lxqtconfigdialog.ui
)

set(POLKIT_FILES
    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy"
)

# Build Polkit file
configure_file ( polkit/org.lxqt.backlight.pkexec.policy.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy" )

file(GLOB LXQT_CONFIG_FILES resources/*.conf)

QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
    dbus/org.freedesktop.Notifications.xml
    notifications_interface
)

QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
    dbus/org.lxqt.SingleApplication.xml
    lxqtsingleapplication.h LXQt::SingleApplication
)

set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")

# KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}")

if (NOT APPLE)
    set(LXQT_PKG_CONFIG_REQUIRES "${LXQT_PKG_CONFIG_REQUIRES}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
endif (NOT APPLE)


# Standard directories for installation
include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)
include(LXQtCreatePortableHeaders)
include(LXQtConfigVars)

set(LXQT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")

set(LXQT_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}")
set(LXQT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/cmake")


## Translations
include(LXQtTranslateTs)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS}
        ${FORMS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

message(STATUS "")
message(STATUS "liblxqt version: ${LXQT_VERSION}")
message(STATUS "")


# Copy public headers
foreach(h ${PUB_HDRS})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${LXQT_INTREE_INCLUDE_DIR}/LXQt/${bh}" COPYONLY)
endforeach()

# Create the portable headers
lxqt_create_portable_headers(INTREE_PORTABLE_HEADERS
    NAME_PREFIX "lxqt"
    OUTPUT_DIR "${LXQT_INTREE_INCLUDE_DIR}/LXQt"
    HEADER_NAMES ${PUBLIC_CLASSES}
)

#check_portable_headers(H_FILES ${PUB_HDRS} LINKS "${INTREE_PORTABLE_HEADERS}")

#************************************************
# Create in-tree build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE   "${LXQT_INTREE_TARGETS_FILE}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
)

#************************************************
# Create installable build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/${LXQT_LIBRARY_NAME}-targets.cmake")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LXQT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    ${LXQT_LIBRARY_NAME}-targets
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

add_library(${LXQT_LIBRARY_NAME}
    SHARED ${PUB_HDRS}
           ${SRCS}
           ${dbus_generated}
           ${UIS} ${MOCS}
           ${QM_FILES}
           ${QRC_CXX_SOURCES}

)

target_link_libraries(${LXQT_LIBRARY_NAME}
    PUBLIC
        KF5::WindowSystem
        Qt5::Widgets
        Qt5::DBus
        Qt5Xdg
)

if (NOT APPLE)
    target_link_libraries(${LXQT_LIBRARY_NAME}
        PUBLIC
            Qt5::X11Extras
        PRIVATE
            ${X11_Xscreensaver_LIB}
            ${X11_X11_LIB}
    )
endif (NOT APPLE)

set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
    VERSION   ${LXQT_VERSION}
    SOVERSION ${LXQT_MAJOR_VERSION}
)

target_compile_definitions(${LXQT_LIBRARY_NAME}
    PRIVATE
        "LXQT_RELATIVE_SHARE_DIR=\"${LXQT_RELATIVE_SHARE_DIR}\""
        "LXQT_SHARE_DIR=\"${LXQT_SHARE_DIR}\""
        "LXQT_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${LXQT_RELATIVE_TRANSLATIONS_DIR}\""
        "LXQT_SHARE_TRANSLATIONS_DIR=\"${LXQT_TRANSLATIONS_DIR}\""
        "LXQT_GRAPHICS_DIR=\"${LXQT_GRAPHICS_DIR}\""
        "LXQT_ETC_XDG_DIR=\"${LXQT_ETC_XDG_DIR}\""
        "LXQT_DATA_DIR=\"${LXQT_DATA_DIR}\""
        "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
        "LXQT_VERSION=\"${LXQT_VERSION}\""
        "COMPILE_LIBLXQT"
        "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
        "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
        "QT_NO_KEYWORDS"
)

target_include_directories(${LXQT_LIBRARY_NAME}
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}/LXQt>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}/LXQt>"
)

install(TARGETS
    ${LXQT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT ${LXQT_LIBRARY_NAME}-targets
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Runtime
)

install(FILES
    ${PUB_HDRS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES
    ${INTREE_PORTABLE_HEADERS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES ${LXQT_CONFIG_FILES}
    DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt"
    COMPONENT Runtime
)

if (BUILD_BACKLIGHT_LINUX_BACKEND)
    install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
endif (BUILD_BACKLIGHT_LINUX_BACKEND)

#************************************************
# Create and install pkgconfig file
#************************************************
lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
    LIBS ${LXQT_LIBRARY_NAME}
    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
    VERSION ${LXQT_VERSION}
    INSTALL
)
#************************************************

=== lxqtbacklight/linux_backend/driver/CMakeLists.txt ===
project(lxqt-backlight_backend)

set(C_FILES
    lxqtbacklight_backend.c
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_executable(${PROJECT_NAME}
    ${C_FILES}
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)

=== debian/changelog ===
liblxqt (1.2.0-8) unstable; urgency=medium

  * Fix wrong Breaks/Replaces in liblxqt1-dev. (Closes: #1034943)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 29 May 2023 03:12:02 +0800

liblxqt (1.2.0-7) unstable; urgency=medium

  * liblxqt1-dev: sufficient Breaks and Replaces declarations.
    Thanks Helmut Grohne <helmut@subdivi.de>. (Closes:#1034943)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 13 May 2023 11:41:17 +0200

liblxqt (1.2.0-6) unstable; urgency=medium

  * Add missing Breaks/Replaces (Closes: #1034894)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Apr 2023 13:10:28 +0800

liblxqt (1.2.0-5) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * debian/control: Set liblxqt1-dev package section to libdevel again.
  * debian/copyright: Overhauled copyright file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 13:02:36 +0800

liblxqt (1.2.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Add Multi-Arch: same in liblxqt1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 24 Dec 2022 02:17:13 +0800

liblxqt (1.2.0-3) unstable; urgency=medium

  * Fix d/liblxqt-backlight-helper.lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 00:35:39 +0800

liblxqt (1.2.0-2) unstable; urgency=medium

  * Move bin/lxqt-backlight_backend into liblxqt-backlight-helper (Closes: #933189).
  * Fix liblxqt1-dev Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 00:05:12 +0800

liblxqt (1.2.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * New upstream release.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/watch for GitHub.
  * Add shlibs file.
  * Add Rules-Requires-Root: no.

  [ Pino Toscano ]
  * debian/rules: fix non-Linux check by comparing against "linux" directly.
  * debian/liblxqt1.install: install backlight-related files only on Linux.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Dec 2022 22:23:24 +0800

liblxqt (1.1.0-2) unstable; urgency=medium

  * Team upload. (Closes: #1013334)
  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.
  * debian/liblxqt1.lintian-overrides: change binary-without-manpage to
    no-manual-page.
  * debian/liblxqt1.install: drop dh-exec, relying instead on debhelper 13
    for substitutions.
  * debian/liblxqt1.lintian-overrides: drop application-in-library-
    section, the false positive has been fixed in lintian.
  * debian/rules: link time optimizations enabled. (Closes: #1015501)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 23:58:13 +0800

=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.10.0~),
               libqt5xdgiconloader-dev (>= 3.10.0~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.12.0~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt
Rules-Requires-Root: no

Package: liblxqt1
Architecture: any
Multi-Arch: same
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Breaks: liblxqt0 (<< 0.99)
Replaces: liblxqt0 (<< 0.99)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt1-dev
Architecture: any
Section: libdevel
Depends: liblxqt1 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.10.0~),
         libqt5xdgiconloader-dev (>= 3.10.0~),
         lxqt-build-tools (>= 0.12.0~),
         ${misc:Depends}
Breaks: liblxqt0-dev (<< 0.99)
Replaces: liblxqt0-dev (<< 0.99)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-backlight-helper
Architecture: any
Depends: liblxqt1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt0 (<< 0.99),
        liblxqt1 (<< 1.2.0-2)
Replaces: liblxqt0 (<< 0.99),
          liblxqt1 (<< 1.2.0-2)
Description: backlight helper for liblxqt
 This package contains the backlight helper for liblxqt.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_ARCH_OS),linux)
    NOT_LINUX := -DBUILD_BACKLIGHT_LINUX_BACKEND=NO
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(NOT_LINUX)

## liblxqt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.10.0")
+set(QTXDG_MINIMUM_VERSION "3.11.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 1)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 2)
+set(LXQT_MINOR_VERSION 3)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0

=== debian/changelog ===
liblxqt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * wrap-and-sort.
  * Update Standards-version to 4.6.2, no changes needed.
  * Update copyright file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 May 2023 12:12:24 -0500

liblxqt (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against lxqt-build-tools 0.12.0-0ubuntu3.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 13:49:31 -0600

liblxqt (1.2.0-0ubuntu2) lunar; urgency=medium

  * Removed the obsolete '-Wl,--as-needed' linker flag from debian/rules.
  * Removed trailing whitespace from changelog.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 28 Nov 2022 14:44:46 -0600

liblxqt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Remove unnecessary dh-exec call.
  * Remove a seemingly-obsolete Lintian override.
  * Fix a typo in the upstream metadata.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:19:19 -0600

liblxqt (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Add additional Breaks/Replaces on liblxqt0 just to be safe.
  * Bump install dependencies.
  * Remove the linux-any prefix for liblxqt1, since it's causing issues
    and seems to be a Debian fix anyway.
  * Symbols.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 31 May 2022 17:49:16 -0500

liblxqt (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies to pick up the new LXQt stack.
  * Update Standards-version to 4.6.1, no changes needed.
  * Update copyright.
  * Move liblxqt0 to liblxqt1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 May 2022 15:56:47 -0500

=== debian/control ===
Source: liblxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.11.0),
               libqt5xdgiconloader-dev (>= 3.10.0),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.13.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/liblxqt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/liblxqt-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt
Rules-Requires-Root: no

Package: liblxqt1
Architecture: any
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Breaks: liblxqt0 (<< 0.99)
Replaces: liblxqt0 (<< 0.99)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt1-dev
Architecture: any
Section: libdevel
Depends: liblxqt1 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.9.1),
         libqt5xdgiconloader-dev (>= 3.9.1),
         lxqt-build-tools (>= 0.11.0),
         ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

## liblxqt 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(KF5_MINIMUM_VERSION "5.36.0")
+set(KF5_MINIMUM_VERSION "5.101.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.11.0")
+set(QTXDG_MINIMUM_VERSION "3.12.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 1)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 3)
+set(LXQT_MINOR_VERSION 4)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0

=== debian/changelog ===
liblxqt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:06:24 +0000

liblxqt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:39:13 +0000

liblxqt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump libqtxdg-related build dependencies.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 12:13:40 -0600

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.11.0),
-               libqt5xdgiconloader-dev (>= 3.10.0),
+               libqt5xdg-dev (>= 3.12.0),
+               libqt5xdgiconloader-dev (>= 3.12.0),
                libx11-dev,
                libxss-dev,
                lxqt-build-tools (>= 0.13.0)

## liblxqt 2.0.0

=== debian/changelog ===
liblxqt (2.0.0-0ubuntu2) oracular; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 23 Aug 2024 21:22:05 +0100

liblxqt (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Bump soname.
  * Adjust package names.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:03:02 -0500

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               libkf5windowsystem-dev (>= 5.36.0),
-               libpolkit-qt5-1-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.12.0),
-               libqt5xdgiconloader-dev (>= 3.12.0),
+               libkf6windowsystem-dev (>= 6.0.0),
+               libpolkit-qt6-1-dev,
+               libqt6xdg-dev (>= 4.0.0),
+               libqt6xdgiconloader-dev (>= 4.0.0),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 2.0.0),
+               qt6-svg-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/liblxqt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/liblxqt-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
@@ -25,7 +24,7 @@
 Homepage: https://github.com/lxqt/liblxqt
 Rules-Requires-Root: no
 
-Package: liblxqt1
+Package: liblxqt2
 Architecture: any
 Depends: desktop-file-utils,
          shared-mime-info,
@@ -33,8 +32,8 @@
          ${shlibs:Depends}
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: liblxqt0 (<< 0.99)
-Replaces: liblxqt0 (<< 0.99)
+Breaks: liblxqt0 (<< 0.99), liblxqt1
+Replaces: liblxqt0 (<< 0.99), liblxqt1
 Description: Shared libraries for LXQt desktop environment (libs)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
@@ -44,13 +43,13 @@
  This package contains the shared libraries needed by the LXQt desktop
  environment.
 
-Package: liblxqt1-dev
+Package: liblxqt2-dev
 Architecture: any
 Section: libdevel
-Depends: liblxqt1 (= ${binary:Version}),
-         libqt5xdg-dev (>= 3.9.1),
-         libqt5xdgiconloader-dev (>= 3.9.1),
-         lxqt-build-tools (>= 0.11.0),
+Depends: liblxqt2 (= ${binary:Version}),
+         libqt6xdg-dev (>= 4.0.0),
+         libqt6xdgiconloader-dev (>= 4.0.0),
+         lxqt-build-tools (>= 2.0.0),
          ${misc:Depends}
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
@@ -64,6 +63,6 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.

## liblxqt 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(KF5_MINIMUM_VERSION "5.101.0")
-set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.12.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(KF6_MINIMUM_VERSION "6.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
+set(QTXDG_MINIMUM_VERSION "4.1.0")
 
 # Major LXQt Version, belong to all components
-set(LXQT_MAJOR_VERSION 1)
+set(LXQT_MAJOR_VERSION 2)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 4)
+set(LXQT_MINOR_VERSION 1)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -38,18 +38,18 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus LinguistTools)
-find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
-find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus LinguistTools)
+find_package(Qt6Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
+find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
+
 if (BUILD_BACKLIGHT_LINUX_BACKEND)
-    find_package(PolkitQt5-1 REQUIRED)
+    find_package(PolkitQt6-1 REQUIRED)
 endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 if (NOT APPLE)
-    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED X11Extras)
     find_package(X11 REQUIRED)
 endif()
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt6Core_VERSION}")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
@@ -201,12 +201,12 @@
 
 file(GLOB LXQT_CONFIG_FILES resources/*.conf)
 
-QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
+qt6_add_dbus_interface(DBUS_INTERFACE_SRCS
     dbus/org.freedesktop.Notifications.xml
     notifications_interface
 )
 
-QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
+qt6_add_dbus_adaptor(DBUS_ADAPTOR_SRCS
     dbus/org.lxqt.SingleApplication.xml
     lxqtsingleapplication.h LXQt::SingleApplication
 )
@@ -214,12 +214,8 @@
 set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
 list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
-# KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
-set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}")
-
-if (NOT APPLE)
-    set(LXQT_PKG_CONFIG_REQUIRES "${LXQT_PKG_CONFIG_REQUIRES}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
-endif (NOT APPLE)
+# KF6WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file. TODO: check if things changed in KF6
+set(LXQT_PKG_CONFIG_REQUIRES "Qt6Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt6Widgets >= ${QT_MINIMUM_VERSION}, Qt6Xml >= ${QT_MINIMUM_VERSION}, Qt6DBus >= ${QT_MINIMUM_VERSION}")
 
 
 # Standard directories for installation
@@ -321,16 +317,14 @@
 
 target_link_libraries(${LXQT_LIBRARY_NAME}
     PUBLIC
-        KF5::WindowSystem
-        Qt5::Widgets
-        Qt5::DBus
-        Qt5Xdg
+        KF6::WindowSystem
+        Qt6::Widgets
+        Qt6::DBus
+        Qt6Xdg
 )
 
 if (NOT APPLE)
     target_link_libraries(${LXQT_LIBRARY_NAME}
-        PUBLIC
-            Qt5::X11Extras
         PRIVATE
             ${X11_Xscreensaver_LIB}
             ${X11_X11_LIB}

=== debian/changelog ===
liblxqt (2.1.0-3) unstable; urgency=medium

  * debian/control: make liblxqt-l10n depends on qt6-translations-l10n
    instead of qt6-tools-dev. (Closes: #1104241).
    Thanks Bryan Gardiner for the report.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 27 Apr 2025 18:17:46 +0200

liblxqt (2.1.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: add conflicts and replaces on liblxqt1 in liblxqt2.
    (Closed: #1102710)
  * debian/copyright: added myself.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 12 Apr 2025 17:52:34 +0200

liblxqt (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.1.0~).
  * debian/control: build-deps on libqt6xdgiconloader-dev (>= 4.1.0~).
  * debian/control: depends on lxqt-build-tools (>= 2.1.0~).
  * debian/control: depends on ibqt6xdg-dev (>= 4.1.0~).
  * debian/control: depends on libqt6xdgiconloader-dev (>= 4.1.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Dec 2024 20:15:58 +0100

liblxqt (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:26:30 +0100

liblxqt (2.0.0-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-tools-dev (>= 6.7.2).
  * debian/control: drop depends on libqt5xdgiconloader-dev (>= 3.12.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 17:43:40 +0200

liblxqt (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.0
  * debian/control: Update liblxqt-l10n deps to qt6-tools-dev
  * debian/control: build-deps on libkf6windowsystem-dev (>= 6.0.0~).
  * debian/control: build-deps on lxqt-build-tools (>=
    2.0.0~+really2.0.0~).
  * debian/control: build-deps on libpolkit-qt6-1-dev.
  * debian/control: remove build-deps on libqt5x11extras5-dev.
  * debian/control: build-deps on qt6-svg-dev.
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * Bump liblxqt1 to liblxqt2.
  * Rename .install files to liblxqt2
  * Bump debian/liblxqt1.shlibs to debian/liblxqt2.shlibs
  * debian/liblxqt2.install: Bump soversion
  * debian/control: add Breakes & Replaces field for liblxqt2-dev.
  * Add diversions for liblxqt2 Needed for enabling installation alongside
    the Qt5 version

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.

  [ Severus Septimius ]
  * debian/control: add build-dep on libglib2.0-dev.

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: disable reprotest as not supported experimental.
  * debian/salsa-ci.yml: disable piupart as it failed to fetch build-
    deps from experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 14 Sep 2024 17:07:27 +0200

liblxqt (1.4.0-4) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078285)
  * Clean up of group membership after 2nd calls.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Sep 2024 12:24:18 +0200

liblxqt (1.4.0-3) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/control: recommends on liblxqt-backlight-helper to make brightness
    adjustment working again.

  [ ChangZhuo Chen (陳昌倬) ]
  * debian/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 01 May 2024 11:34:50 +0800

liblxqt (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on libqt5xdgiconloader-dev (>= 3.12.0~).
  * debian/control: drop replaces and breaks that not exist in previous
    stable release.
  * debian/control: adjust versioned depends on liblxqt1-dev.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Dec 2023 16:52:27 +0100

liblxqt (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/control: update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 04 Dec 2023 22:27:18 +0800

liblxqt (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Jun 2023 23:00:11 +0800

=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf6windowsystem-dev (>= 6.0.0~),
               libpolkit-qt6-1-dev,
               libglib2.0-dev,
               qt6-svg-dev,
               libqt6xdg-dev (>= 4.1.0~),
               libqt6xdgiconloader-dev (>= 4.1.0~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 2.1.0~),
               qt6-tools-dev (>= 6.7.2)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt
Rules-Requires-Root: no

Package: liblxqt2
Architecture: any
Multi-Arch: same
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-backlight-helper, liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Conflicts: liblxqt1
Replaces: liblxqt1
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt-dev
Architecture: any
Section: libdevel
Depends: liblxqt2 (= ${binary:Version}),
         libqt6xdg-dev (>= 4.1.0~),
         lxqt-build-tools (>= 2.1.0~),
         libqt6xdgiconloader-dev (>= 4.1.0~),
         ${misc:Depends}
Breaks: liblxqt1-dev
Replaces: liblxqt1-dev
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-backlight-helper
Architecture: any
Depends: liblxqt2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt1 (<< 1.2.0-2)
Replaces: liblxqt1 (<< 1.2.0-2)
Description: backlight helper for liblxqt
 This package contains the backlight helper for liblxqt.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qt6-translations-l10n
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.

## liblxqt 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(QT_MINIMUM_VERSION "6.6.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 2)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 1)
+set(LXQT_MINOR_VERSION 2)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -23,7 +23,7 @@
 #
 # In a perfect world all components would have the same major- and minor- and
 # patch-version as liblxqt - in real life it will be fine if every component
-# has it's own patch version within a major/minor life cyle.
+# has it's own patch version within a major/minor life cycle.
 #
 set(LXQT_PATCH_VERSION 0)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
@@ -272,7 +272,7 @@
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
     "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
-    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
+    INSTALL_DESTINATION "neverland"     # required, although we don't install it
 )
 
 #************************************************

=== translations/CMakeLists.txt ===
project(liblxqt)

build_component("." "")

=== debian/changelog ===
liblxqt (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 21:09:58 +0800

liblxqt (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0.
  * debian/control: Bump libqt6xdg-dev to 4.2.0.
  * debian/control: Bumped the version of libqt6xdgiconloader-dev to 4.2.0.
  * debian/control: Bumped the version of lxqt-build-tools to 2.2.0.
  * debian/copyright: Added myself to the file.

 -- Joel Orón Valiente <moded3v@gmail.com>  Sun, 13 Jul 2025 13:50:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                libpolkit-qt6-1-dev,
                libglib2.0-dev,
                qt6-svg-dev,
-               libqt6xdg-dev (>= 4.1.0~),
-               libqt6xdgiconloader-dev (>= 4.1.0~),
+               libqt6xdg-dev (>= 4.2.0~),
+               libqt6xdgiconloader-dev (>= 4.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev (>= 6.7.2)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## liblxqt 2.3.0

=== debian/changelog ===
liblxqt (2.3.0-2) unstable; urgency=medium

  * Use source only upload.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 16 Nov 2025 22:53:38 +0800

liblxqt (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.3.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.3.0~),.
  * debian/control: bump to Standards-version to 4.7.2, no changes needed.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: bump versions on liblxqt-dev depends.
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Nov 2025 12:30:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               libglib2.0-dev,
                libkf6windowsystem-dev (>= 6.0.0~),
                libpolkit-qt6-1-dev,
-               libglib2.0-dev,
-               qt6-svg-dev,
-               libqt6xdg-dev (>= 4.2.0~),
+               libqt6xdg-dev (>= 4.3.0~),
                libqt6xdgiconloader-dev (>= 4.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
+               qt6-svg-dev,
                qt6-tools-dev (>= 6.7.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
 Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
 Homepage: https://github.com/lxqt/liblxqt
-Rules-Requires-Root: no
 
 Package: liblxqt2
 Architecture: any
@@ -46,9 +45,9 @@
 Architecture: any
 Section: libdevel
 Depends: liblxqt2 (= ${binary:Version}),
-         libqt6xdg-dev (>= 4.1.0~),
-         lxqt-build-tools (>= 2.1.0~),
+         libqt6xdg-dev (>= 4.3.0~),
          libqt6xdgiconloader-dev (>= 4.1.0~),
+         lxqt-build-tools (>= 2.3.0~),
          ${misc:Depends}
 Breaks: liblxqt1-dev
 Replaces: liblxqt1-dev
@@ -62,9 +61,7 @@
 
 Package: liblxqt-backlight-helper
 Architecture: any
-Depends: liblxqt2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: liblxqt2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: liblxqt1 (<< 1.2.0-2)
 Replaces: liblxqt1 (<< 1.2.0-2)
 Description: backlight helper for liblxqt
@@ -74,7 +71,6 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qt6-translations-l10n
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.

=== debian/watch ===
Version: 5
Template: GitHub
Owner: lxqt
Project: @PACKAGE@
Download-Url-Mangle: s%https://api.github.com/repos/([^/]+)/@PACKAGE@/git/refs/tags/@ANY_VERSION@%https://github.com/$1/@PACKAGE@/releases/download/$2/@PACKAGE@-$2.tar.xz%g
Pgp-Mode: auto
